Instalando e configurando o J2SE 5.0 no Linux

Este artigo visa ajudar iniciantes em JAVA a darem seu primeiro passo, guiando o leitor a efetuar uma instalação do SDK com sucesso e a configurar o ambiente JAVA corretamente.

[ Hits: 70.056 ]

Por: Karl Phillip em 09/04/2005


Introdução



O que é J2SE?


Java 2 Standard Edition provê um ambiente completo para desenvolvimento de aplicações em desktop e servidores. Ele também serve como base para a plataforma "Java 2 Enterprise Edition" (J2EE) e "Java Web Services".

Para que serve?


J2SE é a plataforma premier para rápido desenvolvimento, confiabilidade e aplicações JAVA portáteis que rodam em sistemas desktops e servidores suportado pela maioria dos sistemas operacionais.

Download


Neste artigo utilizamos a versão "J2SE Development Kit 5.0 Update 2", ou simplesmente "jdk-1_5_0_02-linux-i586.bin", que pode ser encontrada em:
Entre no link fornecido acima e faça o download do seguinte arquivo:
  • Linux self-extracting file (jdk-1_5_0_02-linux-i586.bin, 44.02 MB)

Cuidado para não baixar o arquivo "(jdk-1_5_0_02-linux-i586-rpm.bin, 42.55 MB)" acidentalmente.

    Próxima página

Páginas do artigo
   1. Introdução
   2. Instalação
   3. Configuração
   4. Final
Outros artigos deste autor

Explorando as possibilidades do XFree86

Leitura recomendada

Introdução ao Swing (parte 1)

Leitura e escrita de arquivos utilizando Java

Utilizando tratamento de exceções em java

Java no Ubuntu 12.04 - Instalação à moda antiga

Programação orientada a objetos e o Java (parte 1)

  
Comentários
[1] Comentário enviado por leysen em 10/04/2005 - 14:12h


parabéns, este guia realmente está bem editado e implementa uma facil leitura e compreensão do artigo. valeu!

[2] Comentário enviado por rwar em 11/04/2005 - 17:15h

Há alguma diferença entre na parte de instalação da versão 5 e das anteriores?

[3] Comentário enviado por townray em 11/04/2005 - 21:46h

só uma observação: o instalador cria o diretório /usr/java/jdk1.5.0_01 ou /usr/java/jdk1.5.0_02? Porque caso seja a segunda opção temos que ficar atentos ao setar as variáveis de ambiente! ;) mas o artigo tá show, parabéns!

[4] Comentário enviado por roggy em 12/04/2005 - 12:07h

o guia parece ser bom mas nao funciona no Trustix de jeito nenhum. Apos o passo ./jdk-1_5_0_02-linux-i586.bin, aparece a mensagem:
inflating: j2sdk-1_4_0_03-fcs-linux-i586.rpm
Done.
Caso alguem tenha a solução, me envie por favor!!

[5] Comentário enviado por zank em 12/04/2005 - 16:17h

não consigui configurar no debian,
quando executo
$ java version
aparece o seguinte
Exception in thread "main" java.lang.NoClassDefFoundError: version
alguem sabe como arrumo esse bug ?

[6] Comentário enviado por aluno1216 em 13/04/2005 - 10:08h

Olha zank se este erro esta a ocorrer é porque o class loader usado pelo java não esta conseguindo encontrar o file .class ou melhor version.class entao vc deve primeiro verificar se estas se o teu .class esta escrito a maiuscula ou a minuscula é importante escreva tal e qual ,
se não resultar vc deve executar este comando na directoria onde esta o file version.class ou ainda deves ver se nao te esqueceste de por a funçao main no aplicativo

Espero que te tenha ajudado

aluno1216

[7] Comentário enviado por HackSpy em 16/04/2005 - 07:02h

Olha "Zank", com toda certeza você esta tentando rodar um script sem a função main do tipo "public static void main(Sring args[])", tente fazer um script contendo a função descrita acima e dentro dela coloque uma chamada para o ser script apenas instanciando o metodo que deseja usar Ex:

public class InputTeste
{
public static void main(String args[])
{
Input.readFloat();
// Input é o seu arquivo sem o main e readFloat o metodo que deseja
// usar por exemplo.
}
}

Espero ter ajudado.

HackSpy

[8] Comentário enviado por humbhenri em 29/04/2005 - 19:48h

Ei Zank ao digitar esse comando parece que voce queria fazer uma das duas coisas: rodar uma classe chamada version.class ou verificar a versao do java instalado na sua maquina. No primeiro caso, há algum problema com esta classe(talvez vc errou o nome da classe). No segundo, voce deveria digitar java -showversion.

[9] Comentário enviado por marion em 08/05/2005 - 18:27h

Maxphil, parabéns !
Instalei facilmente no kurumin 4.0.
Tive que alterar jdk1.5.0_02 para ... 0 _03 (é a versão mais nova que 'peguei') ao setar...
Ótima explicação


[10] Comentário enviado por karlota em 11/05/2005 - 22:48h

boa noite !! sou nova em linux ja instalei o sdk em windows , so que não entendi a parte de salvar profiles alteradas usei o comando sugerido # vim / ect/profile permito editar as linhas java -home , classpath, path quando faço isso criando um profile nova ??e não consigo sair do super usuario... gostaria de um explicação por favor!!

[11] Comentário enviado por 2452393 em 27/05/2005 - 01:06h

Minha versão é jdk-1_5_0_03-linux-i586.bin.
O comando $java -version funcionou
O comando $javac -version nao
Qual pode ser o problema?

[12] Comentário enviado por 2452393 em 27/05/2005 - 01:07h

bash: javac: command not found

[13] Comentário enviado por karlphillip em 02/06/2005 - 16:10h

# vim /etc/profile

É nesse arquivo que estão setadas as suas variáveis ambiente. Aqui precisamos adicionar nossas variáveis do Java para que ele possa funcionar corretamente quando você der os comandos:
java -version
javac -version

Não esquecem de atualizar as variáveis ambiente depois com o comando:
source /etc/profile

(não lembro se era esse o comando mesmo, confirmem dando uma olhada nesse artigo, sei que escrevi em algum lugar ;D )

[14] Comentário enviado por removido em 11/06/2005 - 20:14h

Boa Karl, simples e objetivo, até tua amiga Beti conseguiria fazer funcionar hehehe

[15] Comentário enviado por henrique.lcoelho em 09/05/2006 - 22:33h

Ola, eu não estou conseguindo. Depois do
root@linux01:/usr/java# ./jdk-1_5_0_06-nb-5_0-linux.bin

ele não aparece a opção de "Yes" or "No".
Valew :)

[16] Comentário enviado por karlphillip em 27/07/2006 - 12:22h

É .. mas você também não diz o que aparece. :))

Com base em absolutamente nada (porque você não forneceu informação alguma) vou chutar que o problema esta na permissão do arquivo.
Você deve setar o arquivo para permitir a execução do mesmo, com o comando:
# chmod a+x jdk-1_5_0_06-nb-5_0-linux.bin

Vale lembrar que o sinal '#' indica que o comando deverá ser executado como root.

[]'s

[17] Comentário enviado por piqueno em 15/08/2006 - 01:28h

Achei muito bom o artigo, Karl Phillip! Você está de parabéns!!!

Para a galera que está encontrando erros, verifiquem se o que vocês estão copiando do site é o mesmo para seu programa. A versão que estamos baixando hoje não é mesma da época em que ele escreveu o artigo.
Por exemplo: o arquivo mencionado é a versão jdk-1_5_0_02-linux-i586.bin e hoje estamos em mais avançadas. Temos que ter atenção em certos pontos como quando copiar o texto pro profile e alterar para a versão em que o usuário está e etc...

[18] Comentário enviado por mikenow em 27/09/2006 - 09:47h

O comando $java -version funcionou
R.: Apresenta a versão do JDK, java é o compilador, gera as classes apartir de arquivo .java

O comando $javac -version nao
R.: javac é o compilador, exclusivo para "execução" dos arquivos .CLASS gerados apartir de uma compilação!

Qual pode ser o problema?

Espero ter ajudado!

[19] Comentário enviado por fralda em 16/11/2006 - 21:13h

aqui também naum deu certo o comando javac

[20] Comentário enviado por bruno88 em 24/03/2007 - 20:39h

e ae blz?
gostaria de uma ajuda, estou conseguindo compila normal, o arquivo .class e criado, mais na hora de executar aparece a seguinte mensagem de erro: Exception in thread "main" java.lang.NoClassDefFoundError: VivaOLinux
e nao funciona, sera que vc poderia dizer como ajustar, passo a passo por email.
Obrigado
brunomoraes88@yahoo.com.br

[21] Comentário enviado por maickelpc em 04/04/2008 - 08:22h

parabens, utilizo biglinux
tinha instalado java jdk atraves do aptitude
mas o javac nao funfava
segui as recomendacoes..e mato a pau.
obrigado

[22] Comentário enviado por vinidog em 02/12/2008 - 14:37h

Muito bom, parabéns...

[23] Comentário enviado por dragao5 em 07/01/2009 - 10:53h

Bom Dia, a todos deste forum. Vou pedir uma ajuda de vital importância.
Fiz a instalação dos pacotes "jdk-6u11-linux-i586-rpm.bin" , "jre-6u11-linux-i586-rpm.bin" e "jdk-1_5_0_17-nb-6_5-linux-ml.sh", porém quando digito o comando $ java, nada me acontece aparece a mensagem "command not found".


Antes de eu fazer estas instalação aparecia após o comando $ java -version a mensagem java 1.4.2 mas eu preciso de 1.5.x no mínimo.

Estou trabalhando em Linux Red Hat Enterprise Server As5.

Alguém pode me quebrar este galho?

dragao5@ig.com.br

[24] Comentário enviado por jorgeromero em 15/03/2009 - 17:55h

Quando uso o comando # vim /etc/profile

Aparece essas campos ai. Onde eu devo inserir o esses valores inserir os novos valores ?

# and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).

if [ "`id -u`" -eq 0 ]; then
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
else
PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
fi

if [ "$PS1" ]; then
if [ "$BASH" ]; then
PS1='\u@\h:\w\$ '
else
if [ "`id -u`" -eq 0 ]; then
PS1='# '
else
PS1='$ '
fi
fi
fi

export PATH

umask 022



Aguardo uma resposta!

[25] Comentário enviado por denisgmarques em 24/10/2009 - 22:55h

Gostei!!!

Resumido e eficaz, valeu pela dica.

Abraço.

[26] Comentário enviado por removido em 25/01/2010 - 20:29h

Valeu mesmo !!! Excelente artigo !!!

[27] Comentário enviado por ---Anonymous--- em 14/09/2010 - 13:50h

Cara, parabens, funfou d boa o java, mas fica a pergunta:
Como eu faço pra configurar o java no Firefox pra rodar sites em java???
EStou usando o Ubuntu 10 64 bits.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts